My problem installing Android with Ecplise in Fedora

Hello all,

Long time since I’ve posted anything at all.
Well, I got curious about developing for a mobile platform, so I decided to try it out. Guess what? What the hell did I got myself into. 😀

Not sure if everyone got this problem but I indeed had it and so I had to perform some steps. Before anyone says something here is my initial Fedora installation as anaconda-ks.cfg file:

@admin-tools
@base
@core
@editors
@fonts
@gnome-desktop
@games
@graphical-internet
@graphics
@hardware-support
@input-methods
@java
@office
@online-docs
@printing
@sound-and-video
@text-internet
@base-x
xfsprogs
mtools
gpgme
gnupg2
openoffice.org-opensymbol-fonts
gvfs-obexftp
dcraw
hdparm
m17n-db-tamil
m17n-db-gujarati
m17n-db-kannada
m17n-db-hindi
gok
m17n-db-oriya
m17n-db-bengali
m17n-contrib-sinhala
m17n-db-assamese
m17n-db-punjabi
iok
m17n-db-telugu
m17n-db-malayalam
jack-audio-connection-kit
gdm

Beside this I installed the Eclipse that comes with Fedora 13. And let me tell you, forget it, it simply doesn’t work when we’re following the steps at http://developer.android.com/sdk/index.html. Since I’ve done this some months back I don’t have the exact error messages but basically it has to do about version.

So I had to remove Fedora Eclipse and download the Eclipse from http://www.eclipse.org.
Regarding the android part and since I installed the Desktop version of Fedora and not full I had to install a few packages that I did with the following steps, based on try and error of course.

yum whatprovides ld-linux.so.2
yum install glibc-2.11.1-6.i686
yum whatprovides libX11.so.6
yum install libX11-1.3-1.fc12.i686
yum whatprovides libstfc++-so.6
yum whatprovides libstdc++.so.6
yum install libstdc++-4.4.2-7.fc12.i686
yum whatprovides libstdc++.so.6
yum install libstdc++-4.4.3-4.fc12.i686
yum whatprovides libncurses.so.5
yum install ncurses-libs-5.7-3.20090207.fc12.i686
yum install libXrandr-1.3.0-5.fc12.i686 <—– SDL initialization failed.
yum install -y alsa-lib-1.0.23-1.fc12.i686
yum install -y libao-0.8.8-7.fc12.i686
yum install zlib-1.2.3-23.fc12.i686 <—– eclipse related

After this it was as simple as following the information at the android site.

Hope it helps anyone out there.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s